{% extends "base.html" %}
{% load static %}
{% block customhead %}
  <link rel="stylesheet" type="text/css" href="{% static 'styleProduct.css' %}">
  <script src="{% static 'productHair.js' %}"></script>
{% endblock customhead %}
{% block content %}

{% if postResult %}
<!-- hair category -->
<div id="hairCategory">
  <div class="container">
    <div class="row">
      <div id="category" class="col">
        <!-- content here -->
        <h1>Hello, <span>{{ user.username }}</span></h1>
            <div class="form-group">
                <p>What is your hair problem?</p>
            </div>
            <h3 id="query">{{ query }}</h3>
      </div>
      <div class="col">
      </div>
    </div>
  </div>
</div>

<!-- hair products recommendation -->
<div id="hairCategory">
  <h1 class="title" style="padding-top: 100px; text-align: center; justify-content: center;">Hair Products</h1>
  <div class="container">
      <div class="row cardFlex" id="product">
          </div>
      </div>
</div>

{% else %}
    <!-- hair category -->
  <div id="hairCategory">
    <div class="container">
      <div class="row">
        <div id="category" class="col">
          <!-- content here -->
            {% if user.is_authenticated %}
              <h1>Hello, <span>{{ user.username }}</span></h1>
              <form method="GET">
                  {% csrf_token %}
                  <div class="form-group">
                    <p>What is your hair problem?</p>
                    {{hairCategory.hairCategory}}
                  </div>
                  <button type="submit" class="btn btn-primary">Submit</button>
              </form>

            {% else %}
                <div class="row">
                    <h1 class="hello col-md-12 col-sm-12">You're not authenticated</span></h1>
                    <a href="{% url 'homepage:home' %}"><p>Please login first.</p></a>
                </div>
                
            {% endif %}
        </div>
        <div class="col">
        </div>
      </div>
    </div>
  </div>
{% endif %}

{% endblock content %}
